Promods on ETS2 v 1.30

Ask questions about the mod here. If useful they will be added to the Q&A / Development updates.
Forum rules
Please do not post any crashes, malfunctions or other issues with the mod in this forum. If you have any issues with the mod, please post them here. This forum is only for questions/feedback towards the team, not for solving crashes.
User avatar
Vøytek
Developer
Posts: 9664
Joined: 05 Jan 2014 19:38
Location: Luboń
Contact:

24 Nov 2017 22:40

Can't you just wait and see? Does it matter?
Image
Currently working on: various stuff
#1 forum spammer
Enjoying PM since 1.52
YouTube channel [PL]: http://youtube.pl/vooytek

gallen13
Posts: 1
Joined: 28 Nov 2017 17:45
Donation rank:

01 Dec 2017 13:03

Steam updated my ETS 2 this morning and now says ProMods maps are not compatible.
ETS 2 v1.30 is not a beta.

So I was wondering if any of you clever forum people, or if the wonderful people who made this excellent mod have any suggestions or ideas.
Thanks in advance.

User avatar
Nathan_A_RF
Moderator
Posts: 2152
Joined: 10 Jul 2014 15:45
Location: University of Southampton
Contact:

01 Dec 2017 13:06

ProMods 2.20 is not compatible with 1.30. Please downgrade to 1.28 in order to play with ProMods 2.20. A release for ETS2 1.30 will come soon, we are working quick to bring you 2.25
Grab the insecticide, I'm clearing bugs ~ Nathan_A_RF - Moderator, Beta Tester & Bug Fixer
Florence + The Machine / Fox Stevenson / Garbage / Kasabian / Muse / Stan SB

Rocket455Man
Posts: 190
Joined: 13 Aug 2013 19:12
Location: Nokia

01 Dec 2017 13:38

Hi!

Work ProMods 2.20 with ETS2 1.30?
- Real Full Trailer Combination Driver -

User avatar
Rudi Raser
Posts: 2981
Joined: 16 Oct 2016 15:02
Donation rank:

01 Dec 2017 13:44

have a look into the modmanager, and you will see. :)

Halks
Posts: 2
Joined: 18 Jun 2017 20:13

01 Dec 2017 13:57

Hello, i got question if there is solution with launching game with the new update that just came out. I will be really thankful about further information. :|

saschapascals
Posts: 7
Joined: 01 Nov 2017 04:04

01 Dec 2017 14:16

It's easy: Just click on Steam in your bibliothek with the right mouse on ETS 2, then choose "settings" and there "betas". From the pull down menu there choose "temporarely compatible 1.27_1.28.x for incompatible mods" and save. Then your game will be downgraded to the 1.28 branch.

keithd203
Posts: 2
Joined: 08 Feb 2017 18:54
Donation rank:

01 Dec 2017 16:53

No....this is not a thread asking when Promods will update, but quite the opposite.

Promods is an awesome addon, and if it takes a week or two....or three.....to update, so be it. I would expect nothing less from such a quality product. Do what you do so well; I for one will be happy to wait patiently, and gratefully, for your phenomenal work!

Thank you Promods Team!!!

Crristi21
Posts: 1
Joined: 28 Oct 2017 20:07

01 Dec 2017 17:59

Any time when promods will be released-upgraded for 1.30?

cadets54
Posts: 1
Joined: 19 Sep 2014 22:45
Donation rank:

01 Dec 2017 18:49

ETS2 was just upgraded on my system and I already had ProMods version 2.20 which is not compatible with the ETS version 1.30.1.3 so the MOD was disabled. Would anyone happen to know when the compatible version will be out for the ETS version 1.30.1.3?

Thank you,
Frankie G.



Post Reply
  • Information
  • Who is online

    Users browsing this forum: No registered users and 3 guests